App Scripting Proxy
Manage app scripting proxy configurations in VARIO Cloud, including triggers, scripts, script modules, execution, and CRUD operations via REST API.
Scripting proxy configuration
an identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Identifier der App
Trigger zur Ausführung des Skripts
Das auszuführende Skript (wenn scriptModuleRef nicht gesetzt ist)
Resource with given ID was not found
GET /cmn/system/app-scripting-proxy/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"triggerId": "text",
"script": "text",
"scriptModuleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}an identifier
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Identifier der App
Trigger zur Ausführung des Skripts
Das auszuführende Skript (wenn scriptModuleRef nicht gesetzt ist)
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Identifier der App
Trigger zur Ausführung des Skripts
Das auszuführende Skript (wenn scriptModuleRef nicht gesetzt ist)
Resource was not found
Resource was not valid to process
PUT /cmn/system/app-scripting-proxy/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 162
{
"version": "text",
"info": {},
"id": "text",
"appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"triggerId": "text",
"script": "text",
"scriptModuleRef": {
"id": "text"
}
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"triggerId": "text",
"script": "text",
"scriptModuleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}an identifier
successful operation
message context
message
Resource was not found
unable to delete Resource, due to constraints, existing references or internal state
DELETE /cmn/system/app-scripting-proxy/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}Search-Dialog
OK
Search-Dialog
POST /cmn/system/app-scripting-proxy/{appIdentifier}/{triggerId}?sessionId=text HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 363
{
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}OK
{
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}Version Identifier for this Object (for PUT)
Unique identifier of the Object
Identifier der App
Trigger zur Ausführung des Skripts
Das auszuführende Skript (wenn scriptModuleRef nicht gesetzt ist)
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Identifier der App
Trigger zur Ausführung des Skripts
Das auszuführende Skript (wenn scriptModuleRef nicht gesetzt ist)
Resource was not valid to process
POST /cmn/system/app-scripting-proxy HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 162
{
"version": "text",
"info": {},
"id": "text",
"appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"triggerId": "text",
"script": "text",
"scriptModuleRef": {
"id": "text"
}
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"triggerId": "text",
"script": "text",
"scriptModuleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}Last updated
Was this helpful?